---
title: PerformanceNavigationTiming.type
slug: Web/API/PerformanceNavigationTiming/type
tags:
  - API
  - Property
  - Reference
  - Web Performance
---
<div>{{APIRef("Navigation Timing")}}{{SeeCompatTable}}</div>

<p>The <strong><code>type</code></strong> read-only property returns a {{domxref("DOMString","string")}} representing the type of navigation. The value must be one of the following:</p>

<dl>
 <dt>navigate</dt>
 <dd>Navigation started by clicking a link, entering the URL in the browser's address bar, form submission, or initializing through a script operation other than reload and back_forward as listed below.</dd>
 <dt>reload</dt>
 <dd>Navigation is through the browser's reload operation or {{domxref("location.reload()")}}.</dd>
 <dt>back_forward</dt>
 <dd>Navigation is through the browser's history traversal operation.</dd>
 <dt>prerender</dt>
 <dd>Navigation is initiated by a <a href="http://www.w3.org/TR/resource-hints/#prerender">prerender hint</a>.</dd>
</dl>

<p>This property is {{readonlyInline}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>perfEntry</em>.type;
</pre>

<h3 id="Return_Value">Return Value</h3>

<p>A {{domxref("DOMString","string")}} which is one of the values listed above.</p>

<h2 id="Example">Example</h2>

<p>The following example illustrates this property's usage.</p>

<pre class="brush: js">function print_nav_timing_data() {
  // Use getEntriesByType() to just get the "navigation" events
  var perfEntries = performance.getEntriesByType("navigation");

  for (var i=0; i &lt; perfEntries.length; i++) {
    console.log("= Navigation entry[" + i + "]");
    var p = perfEntries[i];
    // dom Properties
    console.log("DOM content loaded = " + (p.domContentLoadedEventEnd - p.domContentLoadedEventStart));
    console.log("DOM complete = " + p.domComplete);
    console.log("DOM interactive = " + p.interactive);

    // document load and unload time
    console.log("document load = " + (p.loadEventEnd - p.loadEventStart));
    console.log("document unload = " + (p.unloadEventEnd - p.unloadEventStart));

    // other properties
    console.log("type = " + p.type);
    console.log("redirectCount = " + p.redirectCount);
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Navigation Timing Level 2', '#dom-performancenavigationtiming-type', 'type')}}</td>
   <td>{{Spec2('Navigation Timing Level 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PerformanceNavigationTiming.type")}}</p>
</div>
